#### 7.10.2.17 crystallographicGroupP4GM

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP4GM(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p4gm group with the following presentation
  < x, y, r, t | [x, y] = r^4 = t^2 = 1, r^(-1)*y*r = x^(-1), r^(-1)*x*r = y, t^(-1)*x*t = y, t^(-1)*r*t = x^(-1)*r^(-1)> - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP4GM(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=r*r*r*r+y*x+x*y
    ==> I[3]=r*r*r*r+1
    ==> I[4]=y*x+x*y+t*t
    ==> I[5]=t*t+1
    ==> I[6]=r*r*r*r+t*t
    ==> I[7]=r*r*r*y*r+X
    ==> I[8]=r*r*r*x*r+y
    ==> I[9]=X*r*r*r+t*r*t
    ==> I[10]=X*x+1
    ==> I[11]=x*X+1
    ==> I[12]=Y*y+1
    ==> I[13]=y*Y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.